Name:           rsyntaxtextarea
Version:        2.5.7
Release:        %mkrel 1
Summary:        A customizable, syntax highlighting text component for Java Swing applications
License:        BSD
Group:          Development/Java
URL:            https://github.com/bobbylight/RSyntaxTextArea

Source0:        https://github.com/bobbylight/RSyntaxTextArea/archive/%{version}.tar.gz
Source1:        https://repo1.maven.org/maven2/com/fifesoft/rsyntaxtextarea/%{version}/rsyntaxtextarea-%{version}.pom
Patch0:         rsyntaxtextarea-2.5.7-expose_undomanager_for_arduino_ide.patch

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  junit

%description
RSyntaxTextArea is a customizable, syntax highlighting text component for
Java Swing applications. Out of the box, it supports syntax highlighting
for 40+ programming languages, code folding, search and replace, and has
add-on libraries for code completion and spell checking.

Syntax highlighting for additional languages can be added via tools such
as JFlex.

RSyntaxTextArea is available under a modified BSD license.

%package javadoc
Summary:        Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}

%prep
%setup -q -n RSyntaxTextArea-%{version}
cp %{SOURCE1} pom.xml
cp src/main/dist/RSyntaxTextArea.License.txt LICENSE
sed -i 's/\r//' LICENSE README.md

%autopatch -p1

find -name \*.jar -delete
find -name \*.class -delete

# no X11 to run these tests
rm -rf src/test/java/org/fife/ui

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%dir %{_mavenpomdir}/%{name}
%doc README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE


%changelog
* Thu Sep 10 2015 ycantin <ycantin> 2.5.7-1.mga6
+ Revision: 875685
- imported package rsyntaxtextarea

